Fedora Core 5 : libX11-1.0.0-4.fc5 (2007-427)

High Nessus Plugin ID 25030


The remote Fedora Core host is missing a security update.


- Fri Apr 6 2007 Adam Jackson <ajax at redhat.com> 1.0.0-4

- libX11-CVE-2007-1667.patch: Fix CVE-2007-1667

- Tue Jun 20 2006 Mike A. Harris <mharris at redhat.com> 1.0.1-3.FC5.0

- Added libX11-1.0.1-setuid.diff to fix potential security issue (#196094)

- Change dependency on 'filesystem' package to 'xorg-x11-filesystem' package, so we can control this dep centrally.

- Added NEWS to doc list.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected libX11, libX11-debuginfo and / or libX11-devel packages.

See Also


Plugin Details

Severity: High

ID: 25030

File Name: fedora_2007-427.nasl

Version: $Revision: 1.11 $

Type: local

Agent: unix

Published: 2007/04/12

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:libX11, p-cpe:/a:fedoraproject:fedora:libX11-debuginfo, p-cpe:/a:fedoraproject:fedora:libX11-devel, cpe:/o:fedoraproject:fedora_core:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2007/04/10

Reference Information

FEDORA: 2007-427